=== debian/changelog ===
imhex (1.30.1+ds-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:44:54 +0200

imhex (1.30.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.30.1+ds
  * Refresh patches
  * Update external deps
  * Add informations about debian/external

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Jul 2023 15:47:30 +0200

imhex (1.29.0+ds-0kali3) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable 32bit CI builds

  [ Sophie Brun ]
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 Jun 2023 11:54:26 +0200

imhex (1.29.0+ds-0kali2) kali-dev; urgency=medium

  * Do not run tests during the build

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Jun 2023 14:46:03 +0200

imhex (1.29.0+ds-0kali1) kali-dev; urgency=medium

  * Initial release. (see 7840)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Jun 2023 16:27:31 +0200
