=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ #-Scmake


override_dh_auto_configure:
	cp -r debian/external/* lib/external/
	mkdir -p lib/external/pattern_language/external
	cp -r lib/external/libwolv lib/external/pattern_language/external
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_SKIP_RPATH=ON \
		-DUSE_SYSTEM_LLVM=ON \
		-DUSE_SYSTEM_YARA=ON \
		-DUSE_SYSTEM_FMT=ON \
		-DUSE_SYSTEM_CURL=ON \
		-DUSE_SYSTEM_NLOHMANN_JSON=ON \
		-DUSE_SYSTEM_CAPSTONE=ON \
		-DIMHEX_OFFLINE_BUILD=ON \
    		-DIMHEX_IGNORE_BAD_CLONE=ON \
    		-DIMHEX_STRIP_RELEASE=OFF \
		-DIMHEX_DISABLE_UPDATE_CHECK=ON

override_dh_auto_test:
#	tests require network
#	export LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_MULTIARCH)/lib/libimhex && dh_auto_test

override_dh_auto_install:
	dh_auto_install -Xlicenses
