=== debian/changelog ===
imhex (1.37.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.37.4
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 15:41:18 +0200

imhex (1.37.1-0kali2) kali-dev; urgency=medium

  * Remove dotnet* build-deps to fix build on arm64

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Feb 2025 16:16:13 +0100

imhex (1.37.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.37.1
  * Refresh patches
  * Do not handle ImHex-Patterns during the build
  * Update debian/external
  * Add missing build-deps

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Feb 2025 11:18:21 +0100

imhex (1.36.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.36.2
  * Update debian/external for the latest upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Jan 2025 16:26:32 +0100

imhex (1.35.4-0kali2) kali-dev; urgency=medium

  * Remove dotnet* build-deps

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 Aug 2024 15:52:35 +0200

imhex (1.35.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.35.4
  * Add new build-deps
  * Update third_party/nativefiledialog

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 Aug 2024 11:56:29 +0200

imhex (1.35.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.35.3
  * Remove useless dirs in debian/third_party/
  * Update debian/external libs

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 Jul 2024 10:43:04 +0200

imhex (1.34.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.34.0
  * Refresh patches
  * Update external deps
  * Update autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Jun 2024 13:38:09 +0200

imhex (1.33.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.33.2
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Mar 2024 17:37:33 +0100

imhex (1.33.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.33.1
  * Refresh patches
  * Add missing lib edlib in third_party
  * Update external libs
  * Remove useless debian/third_party/imgui

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Mar 2024 11:17:40 +0100

imhex (1.32.2-0kali2) kali-dev; urgency=medium

  * Fix build failure

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Jan 2024 11:41:32 +0100

imhex (1.32.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.32.2
  * Refresh patches
  * Update external libs
  * Remove Werror in pattern_language

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 10 Jan 2024 17:45:51 +0100

imhex (1.31.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.31.0+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Sep 2023 17:38:03 +0200
