=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: imhex
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -17,15 +17,20 @@
  libcli11-dev,
  libdbus-1-dev,
  xdg-desktop-portal,
- llvm-dev,
+# llvm-dev,
  libyara-dev,
  libfmt-dev,
  libcurl4-openssl-dev,
  nlohmann-json3-dev,
  libimgui-dev,
- libcapstone-dev
+ liblzma-dev,
+ libzstd-dev,
+ libcapstone-dev,
+ libxrandr-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/WerWolv/ImHex
+Vcs-Browser: https://gitlab.com/kalilinux/packages/imhex
+Vcs-Git: https://gitlab.com/kalilinux/packages/imhex.git
 
 Package: imhex
 Architecture: amd64 arm64
