=== debian/tests/control ===
Tests: runtest.sh
Depends: @builddeps@, ca-certificates, imhex
Restrictions: build-needed
